Loading...
Searching...
No Matches
rheolef::tetrahedron

## Variables

const size_t | dimension = 3
const Float | measure = Float(1.)/Float(6.)
const size_t | n_vertex = 4
const point | vertex [n_vertex]
const size_t | n_face = 4
const size_t | face [n_face][3]
const size_t | n_edge = 6
const size_t | edge [n_edge][2]

## Variable Documentation

## dimension

const size_t dimension = 3

Definition at line 108 of file reference_element.cc.

## measure

const Float measure = Float(1.)/Float(6.)

Definition at line 109 of file reference_element.cc.

## n_vertex

const size_t n_vertex = 4

Definition at line 110 of file reference_element.cc.

## vertex

const point vertex[n_vertex]

Initial value:
= {
point( 0, 0, 0 ),
point( 1, 0, 0 ),
point( 0, 1, 0 ),
point( 0, 0, 1 ) }
point
see the point page for the full documentation

Definition at line 111 of file reference_element.cc.

## n_face

const size_t n_face = 4

Definition at line 116 of file reference_element.cc.

## face

const size_t face[n_face][3]

Initial value:
= {
{ 0, 2, 1 },
{ 0, 3, 2 },
{ 0, 1, 3 },
{ 1, 2, 3 } }

Definition at line 117 of file reference_element.cc.

## n_edge

const size_t n_edge = 6

Definition at line 122 of file reference_element.cc.

## edge

const size_t edge[n_edge][2]

Initial value:
= {
{ 0, 1 },
{ 1, 2 },
{ 2, 0 },
{ 0, 3 },
{ 1, 3 },
{ 2, 3 } }

Definition at line 123 of file reference_element.cc.